# OsiOldLinkBranchingObject Class Reference

Branching object for Linked ordered sets. More...

`#include <CbcLinked.hpp>`

Inheritance diagram for OsiOldLinkBranchingObject:
[legend]
Collaboration diagram for OsiOldLinkBranchingObject:
[legend]

List of all members.

## Public Member Functions
| OsiOldLinkBranchingObject ()
| OsiOldLinkBranchingObject (OsiSolverInterface *solver, const OsiOldLink *originalObject, int way, double separator)
| OsiOldLinkBranchingObject (const OsiOldLinkBranchingObject &)
OsiOldLinkBranchingObject & | operator= (const OsiOldLinkBranchingObject &rhs)
virtual OsiBranchingObject * | clone () const
| Clone.
virtual | ~OsiOldLinkBranchingObject ()
virtual double | branch (OsiSolverInterface *solver)
| Does next branch and updates state.
virtual void | print (const OsiSolverInterface *solver=NULL)
| Print something about branch - only if log level high.

## Detailed Description

Branching object for Linked ordered sets.

Definition at line 518 of file CbcLinked.hpp.

## Constructor & Destructor Documentation

OsiOldLinkBranchingObject::OsiOldLinkBranchingObject | ( |  | ) |

OsiOldLinkBranchingObject::OsiOldLinkBranchingObject | ( | OsiSolverInterface * | solver,
|  | const OsiOldLink * | originalObject,
|  | int | way,
|  | double | separator |
| ) |  |  |

OsiOldLinkBranchingObject::OsiOldLinkBranchingObject | ( | const OsiOldLinkBranchingObject & |  | ) |

virtual OsiOldLinkBranchingObject::~OsiOldLinkBranchingObject | ( |  | ) | `[virtual]`

## Member Function Documentation

OsiOldLinkBranchingObject& OsiOldLinkBranchingObject::operator= | ( | const OsiOldLinkBranchingObject & | rhs | ) |

Reimplemented from OsiSOSBranchingObject.

virtual OsiBranchingObject* OsiOldLinkBranchingObject::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiSOSBranchingObject.

virtual double OsiOldLinkBranchingObject::branch | ( | OsiSolverInterface * | solver | ) | `[virtual]`

Does next branch and updates state.

Reimplemented from OsiSOSBranchingObject.

virtual void OsiOldLinkBranchingObject::print | ( | const OsiSolverInterface * | solver = `NULL` | ) | `[virtual]`

Print something about branch - only if log level high.

Reimplemented from OsiSOSBranchingObject.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcLinked.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines